<?php
	if (!defined('DOKU_INC')) die();
	@require_once(dirname(__FILE__).'/tpl_functions.php');
	header('X-UA-Compatible: IE=edge,chrome=1');

	$showTools = !tpl_getConf('hideTools') || ( tpl_getConf('hideTools') && !empty($_SERVER['REMOTE_USER']) );
	$showSidebar = page_findnearest($conf['sidebar']) && ($ACT=='show');
?><!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $conf['lang'] ?>" lang="<?php echo $conf['lang'] ?>" dir="<?php echo $lang['direction'] ?>" class="no-js">
	<head>
		<meta charset="UTF-8" />
		<title><?php tpl_pagetitle() ?> [<?php echo strip_tags($conf['title']) ?>]</title>
		<script>(function(H){H.className=H.className.replace(/\bno-js\b/,'js')})(document.documentElement)</script>
		<?php tpl_metaheaders() ?>
		<meta name="viewport" content="width=device-width,initial-scale=1" />
		<?php echo tpl_favicon(array('favicon', 'mobile')) ?>
		<?php tpl_includeFile('meta.html') ?>
	</head>

	<body>
		<header>
			<?php html_msgarea() ?>
			<?php tpl_includeFile('header.html') ?>
			<h1><?php tpl_link(wl(),$conf['title'],'accesskey="h" title="[H]"') ?></h1>
			<?php if ($conf['tagline']): ?>
			<p><?php echo $conf['tagline'] ?></p>
			<?php endif ?>
			<?php if ($conf['useacl'] && $showTools): ?>
			<section>
				<h3 class="a11y"><?php echo $lang['user_tools'] ?></h3>
				<ul>
					<?php
						if (!empty($_SERVER['REMOTE_USER'])) {
							echo '<li class="user">';
							tpl_userinfo(); /* 'Logged in as ...' */
							echo '</li>';
						}
					?>
					<?php /* the optional second parameter of tpl_action() switches between a link and a button,
							 e.g. a button inside a <li> would be: tpl_action('edit', 0, 'li') */
					?>
					<?php tpl_toolsevent('usertools', array(
						'admin'		=> tpl_action('admin', 1, 'li', 1),
						'userpage'	=> _tpl_action('userpage', 1, 'li', 1),
						'profile'	=> tpl_action('profile', 1, 'li', 1),
						'register'	=> tpl_action('register', 1, 'li', 1),
						'login'		=> tpl_action('login', 1, 'li', 1),
					)); ?>
				</ul>
			</section>
			<?php endif ?>
			<section>
				<ul>
					<?php tpl_toolsevent('sitetools', array(
						'recent'	=> tpl_action('recent', 1, 'li', 1),
						'media'		=> tpl_action('media', 1, 'li', 1),
						'index'		=> tpl_action('index', 1, 'li', 1),
					)); ?>
				</ul>
			</section>
			<nav>
				<?php tpl_searchform() ?>
				<?php if($conf['breadcrumbs']){ ?>
				<section class="breadcrumbs"><?php tpl_breadcrumbs() ?></section>
				<?php } ?>
				<?php if($conf['youarehere']){ ?>
				<section class="youarehere"><?php tpl_youarehere() ?></section>
				<?php } ?>
			</nav>
		</header>

		<main>
			<article>
				<header>
					<?php tpl_includeFile('pageheader.html') ?>
				</header>
				<?php tpl_content() /* Actual page content */ ?>
			</article>
		</main>

		<?php if ($showSidebar): ?>
		<nav>
			<?php tpl_includeFile('sidebarheader.html') ?>
			<?php tpl_include_page($conf['sidebar'], 1, 1) ?>
			<?php tpl_includeFile('sidebarfooter.html') ?>
		</nav>
		<?php endif; ?>

		<footer>
			<?php tpl_includeFile('pagefooter.html') ?>
			<?php tpl_pageinfo() /* 'Last modified' etc */ ?>
			<?php if ($showTools): ?>
			<section>
				<ul>
					<?php tpl_toolsevent('pagetools', array(
						'edit'		=> tpl_action('edit', 1, 'li', 1),
						'discussion'=> _tpl_action('discussion', 1, 'li', 1),
						'revisions'	=> tpl_action('revisions', 1, 'li', 1),
						'backlink'	=> tpl_action('backlink', 1, 'li', 1),
						'subscribe'	=> tpl_action('subscribe', 1, 'li', 1),
						'revert'	=> tpl_action('revert', 1, 'li', 1),
						'top'		=> tpl_action('top', 1, 'li', 1),
					)); ?>
				</ul>
			</section>
			<?php endif; ?>
			<?php tpl_indexerWebBug() /* provide DokuWiki housekeeping, required in all templates */ ?>
		</footer>
	</body>
</html>
